KTREMOTETEST(1)

NAME
ktremotetest - command line interface to test the remote database

DESCRIPTION

The command `ktremotetest' is a utility for facility test and performance test of the remote database. This command is used in the following format. `rnum' specifies the number of iterations.

    ktremotetest order [-th num] [-rnd] [-set|-get|-rem|-etc] [-host str] [-port num] [-tout num] rnum
        Performs in-order tests.
    ktremotetest bulk [-th num] [-bin] [-rnd] [-set|-get|-rem|-etc] [-bulk num] [-host str] [-port num] [-tout num] [-bnr] rnum
        Performs bulk operation tests.
    ktremotetest wicked [-th num] [-it num] [-host str] [-port num] [-tout num] rnum
        Performs mixed operations selected at random.
    ktremotetest usual [-th num] [-it num] [-host str] [-port num] [-tout num] [-kp num] [-vs num] [-xt num] [-iv num] rnum
        Performs mixed operations to simulate usual use cases.

Options feature the following.

    -th num : specifies the number of worker threads.
    -rnd : performs random test.
    -set : performs setting operation only.
    -get : performs getting operation only.
    -rem : performs removing operation only.
    -etc : performs miscellaneous operations.
    -host str : specifies the host name of the server.
    -port num : specifies the port number of the server.
    -tout num : specifies the timeout in seconds.
    -bin : uses the binary protocol.
    -bulk num : specifies the number of records in a bulk operation.
    -bnr : enables the no-reply option in the binary protocol.
    -it num : specifies the number of repetition.
    -kp num : specifies the number of patterns of keys.
    -vs num : specifies the size of each value.
    -xt num : specifies the expiration date.
    -iv num : specifies the interval of each operation in milliseconds.

This command returns 0 on success, another on failure.

SEE ALSO

ktremotemgr(1)